#===============================================================================
#
# From : https://github.com/jonasjacek/colorcli
# Changes:
# * Update status-right
#
# DESIGN
#
# DESIGN: 256 COLOR SUPPORT
setw -g default-terminal "screen-256color"

# DESIGN: PANES
set -g pane-active-border-style fg=colour24,bg=colour250
set -g pane-border-style fg=colour250,bg=colour250

# DESIGN: MESSAGING
set -g message-command-style fg=blue,bg=black
set -g message-style fg=colour59,bg=colour226

# DESIGN: MODES
setw -g clock-mode-colour colour135
set -g mode-style fg=colour160,bold,bg=colour238,bold

# DESIGN: STATUSBAR BOTTOM
set -g status-style fg=white,bg=colour250
set -g status-interval 2
set -g status-position bottom

# DESIGN: WINDOW STATUS
# new: window-active-style
# new: window-status-activity-style
# new:  window-status-bell-style fg=white,bg=black
# new: window-status-current-style
# new: window-status-last-style
# new: window-status-style
# new: window-style
setw -g window-status-format " #F#I:#W#F "
setw -g window-status-current-format " #F#I:#W#F "
setw -g window-status-format "#[fg=white]#[bg=colour59] #I #[fg=colour59]#[bg=colour254] #W "
setw -g window-status-current-format "#[fg=color255]#[bg=colour24] #I #[fg=colour24]#[bg=colour254] #W "
#setw -g window-status-current-bg pink
#setw -g window-status-current-fg grey
#setw -g window-status-current-attr dim
#setw -g window-status-bg green
#setw -g window-status-fg black
#set -g status-right-length 50
set -g status-left-length 20
# items left to the tabs
set -g status-left ''
# items right to the tabs
#set -g status-right '#[fg=colour59,bg=colour250,bold] %y/%m/%d |#[fg=colour59,bg=colour250,bold] %H:%M:%S '
set -g status-right '#[fg=colour24,bg=colour250,bold] #H #[fg=colour59,bg=colour250,bold]| %H:%M |#[fg=colour59,bg=colour250,bold] %y-%m-%d '
# #(cat /proc/loadavg | cut -d \" \" -f 1,2,3) : CPU load
if '[ -z "$DISPLAY" ]' 'set -g status-right "#[fg=default,bold]#H#[fg=default,default] [ #[fg=default]#(cat /proc/loadavg | cut -d \" \" -f 1,2,3)#[default] ]"'
#set -g status-right ''

setw -g window-status-bell-style fg=red,bold
set-window-option -g window-status-bell-style bg=colour160
